package com.fms.system.service;

import java.util.List;
import com.fms.system.domain.AircraftType;

/**
 * 机型Service接口
 * 
 * @author Allen
 * @date 2024-06-09
 */
public interface IAircraftTypeService 
{
    /**
     * 查询机型
     * 
     * @param aircraftTypeId 机型主键
     * @return 机型
     */
    public AircraftType selectAircraftTypeByAircraftTypeId(Long aircraftTypeId);

    /**
     * 查询机型列表
     * 
     * @param aircraftType 机型
     * @return 机型集合
     */
    public List<AircraftType> selectAircraftTypeList(AircraftType aircraftType);

    /**
     * 新增机型
     * 
     * @param aircraftType 机型
     * @return 结果
     */
    public int insertAircraftType(AircraftType aircraftType);

    /**
     * 修改机型
     * 
     * @param aircraftType 机型
     * @return 结果
     */
    public int updateAircraftType(AircraftType aircraftType);

    /**
     * 批量删除机型
     * 
     * @param aircraftTypeIds 需要删除的机型主键集合
     * @return 结果
     */
    public int deleteAircraftTypeByAircraftTypeIds(Long[] aircraftTypeIds);

    /**
     * 删除机型信息
     * 
     * @param aircraftTypeId 机型主键
     * @return 结果
     */
    public int deleteAircraftTypeByAircraftTypeId(Long aircraftTypeId);
}
